// Glcd module connections
char GLCD_DataPort at PORTB;

sbit GLCD_CS1 at RC5_bit;
sbit GLCD_CS2 at RC4_bit;
sbit GLCD_RS  at RC3_bit;
sbit GLCD_RW  at RC2_bit;
sbit GLCD_EN  at RC1_bit;
sbit GLCD_RST at RC0_bit;

sbit GLCD_CS1_Direction at TRISC5_bit;
sbit GLCD_CS2_Direction at TRISC4_bit;
sbit GLCD_RS_Direction  at TRISC3_bit;
sbit GLCD_RW_Direction  at TRISC2_bit;
sbit GLCD_EN_Direction  at TRISC1_bit;
sbit GLCD_RST_Direction at TRISC0_bit;
// End Glcd module connections


void main() 
{
   Glcd_Init();
   
   do
   {
     Glcd_Fill(0xFF); //Fill GLCD
     Delay_ms(1000);
     Glcd_Fill(0x00); //Clear GLCD
     Delay_ms(1000);
     Glcd_Rectangle(5, 5, 40, 40, 1);
     Delay_ms(3000);
     Glcd_Fill(0x00);
     Delay_ms(1000);
     Glcd_Circle(50, 50, 10, 1);
     Delay_ms(1000);
    }while(1);
}